---
- name: Check if insomnia is installed
  command: dpkg-query -W insomnia
  register: vagrant_check_deb
  failed_when: vagrant_check_deb.rc > 1
  changed_when: vagrant_check_deb.rc == 1

- name: "Add to sources"
  shell: |
    echo "deb https://dl.bintray.com/getinsomnia/Insomnia /" | sudo tee -a /etc/apt/sources.list.d/insomnia.list
  when: vagrant_check_deb.rc == 1

- name: "Add public key used to verify code signature"
  apt_key:
    url: https://insomnia.rest/keys/debian-public.key.asc
    state: present
  when: vagrant_check_deb.rc == 1

- name: "Refresh repository sources and install Insomnia"
  apt:
    name: insomnia
    state: present
    update_cache: yes
  when: vagrant_check_deb.rc == 1 or insomnia_force_update == true
